<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Log;

class CheckSingleSession
{
    public function handle(Request $request, Closure $next)
    {
        // Mendapatkan user ID dari request atau sesi
        $userId = auth()->id() ?: $request->session()->get('user_id');

      
        // Jika tidak ada masalah, lanjutkan dengan permintaan berikutnya
        return $next($request);
    }
}